Adaptive in EJ2 JavaScript Tab

04 Sep 202624 minutes to read

The following section explains how to render the Tab when its width exceeds the viewable area, or for a specified width. The available modes are as follows:

  • Scrollable
  • Popup
  • MultiRow
  • Extended

Scrollable

The default overflowMode is Scrollable. The Scrollable display mode supports displaying the Tab header items in a single line with horizontal scrolling enabled when the items overflow the available space.

  • The right and left navigation arrows are added at the start and end of the Tab header, allowing the user to navigate towards overflowed items in the Tab header.
  • You can also view the overflowed items using touch and swipe actions on the header and content section.
  • By default, the navigation icon in the left direction is disabled, but you can view the overflowed items by moving in the right direction.
  • By clicking or holding the arrow continuously, you can view the overflowed items.

Scrollable tab

  • On devices, the navigation icons are not available. You can touch and swipe to see the overflowed items of the Tab header.

Touch scroll

ej.base.enableRipple(true);

//Initialize Tab component

var tabObj = new ej.navigations.Tab({
    heightAdjustMode: 'Auto',
    overflowMode: 'Scrollable',
    items: [
        {
            header: { 'text': 'HTML' },
            content: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web ' +
            'pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
            'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
            'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
            'website semantically along with cues for presentation, making it a markup language, rather than a programming language.'
        },
        {
            header: { 'text': 'C Sharp(C#)' },
            content: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development ' +
            'team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Java' },
            content: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle ' +
            'Corporation, that provides a system for developing application software and deploying it in a cross-platform computing ' +
            'environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
            'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
            'provide many features of native applications and can be embedded in HTML pages.'
        },
        {
            header: { 'text': 'VB.Net' },
            content: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
            'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Xamarin' },
            content: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that ' +
            'created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
            'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
            'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
            'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
            'as of May 2015.'
        },
        {
            header: { 'text': 'ASP.NET' },
            content: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
            'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
            'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
            'to Microsoft\'\s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
            'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
            'ASP.NET components to process SOAP messages.'
        },
        {
            header: { 'text': 'ASP.NET MVC' },
            content: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
            'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
            'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
            'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.'
        },
        {
            header: { 'text': 'JavaScript' },
            content: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of ' +
            'web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
            'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
            'both game development and the creation of desktop applications.'
        }
    ]
});

//Render initialized Tab component
tabObj.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/bootstrap5.3.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    </style>
</head>

<body>
    
    <div id="container">
        <div id="element">       
        </div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Popup is another type of overflowMode in which the Tab container holds items that fit within the available space. The rest of the overflowing items, for which there is no space to fit within the viewing area, are moved to an overflow popup container.

  • The items placed in the popup can be viewed by opening the popup using the drop-down icon at the end of the Tab header.
  • If the popup height exceeds the visible area height, you can scroll through the popup items and select one.

Tab with popup

ej.base.enableRipple(true);

//Initialize Tab component

var tabObj = new ej.navigations.Tab({
    heightAdjustMode: 'Auto',
    overflowMode: 'Popup',
    items: [
        {
            header: { 'text': 'HTML' },
            content: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web ' +
            'pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
            'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
            'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
            'website semantically along with cues for presentation, making it a markup language, rather than a programming language.'
        },
        {
            header: { 'text': 'C Sharp(C#)' },
            content: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development ' +
            'team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Java' },
            content: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle ' +
            'Corporation, that provides a system for developing application software and deploying it in a cross-platform computing ' +
            'environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
            'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
            'provide many features of native applications and can be embedded in HTML pages.'
        },
        {
            header: { 'text': 'VB.Net' },
            content: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
            'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Xamarin' },
            content: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that ' +
            'created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
            'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
            'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
            'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
            'as of May 2015.'
        },
        {
            header: { 'text': 'ASP.NET' },
            content: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
            'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
            'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
            'to Microsoft\'\s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
            'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
            'ASP.NET components to process SOAP messages.'
        },
        {
            header: { 'text': 'ASP.NET MVC' },
            content: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
            'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
            'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
            'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.'
        },
        {
            header: { 'text': 'JavaScript' },
            content: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of ' +
            'web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
            'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
            'both game development and the creation of desktop applications.'
        }
    ]
});

//Render initialized Tab component
tabObj.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/bootstrap5.3.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    </style>
</head>

<body>
    
    <div id="container">
        <div id="element">
        </div>
        <br><br>
        <div id="result"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

MultiRow

The MultiRow display mode allows the Tabs to wrap the tab items to the next line when the available space is exhausted. This mode is ideal for scenarios where space is limited, but all tab items need to be visible at once.

  • The Tab automatically arranges the items into multiple lines without the need for scrolling.
  • This ensures that users have immediate access to all Tab items without additional interaction such as scrolling or clicking a popup.
ej.base.enableRipple(true);

//Initialize Tab component

var tabObj = new ej.navigations.Tab({
    heightAdjustMode: 'Auto',
    overflowMode: 'MultiRow',
    items: [
        {
            header: { 'text': 'HTML' },
            content: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web ' +
            'pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
            'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
            'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
            'website semantically along with cues for presentation, making it a markup language, rather than a programming language.'
        },
        {
            header: { 'text': 'C Sharp(C#)' },
            content: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development ' +
            'team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Java' },
            content: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle ' +
            'Corporation, that provides a system for developing application software and deploying it in a cross-platform computing ' +
            'environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
            'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
            'provide many features of native applications and can be embedded in HTML pages.'
        },
        {
            header: { 'text': 'VB.Net' },
            content: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
            'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Xamarin' },
            content: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that ' +
            'created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
            'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
            'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
            'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
            'as of May 2015.'
        },
        {
            header: { 'text': 'ASP.NET' },
            content: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
            'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
            'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
            'to Microsoft\'\s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
            'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
            'ASP.NET components to process SOAP messages.'
        },
        {
            header: { 'text': 'ASP.NET MVC' },
            content: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
            'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
            'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
            'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.'
        },
        {
            header: { 'text': 'JavaScript' },
            content: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of ' +
            'web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
            'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
            'both game development and the creation of desktop applications.'
        }
    ]
});

//Render initialized Tab component
tabObj.appendTo('#element');
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/bootstrap5.3.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>
</html>

Tab multirow

Extended

Extended mode hides the overflowing Tab items in a subsequent row. Users can access these items by clicking on expand icons provided at the end of the Tab.

  • In this mode, the Tab maintains a clean top row and allows extra items to be rendered into additional rows.
  • Clicking the expand icons will dynamically adjust the Tab to reveal hidden tab items.
  • If the popup content overflows the height of the page, remaining elements will be hidden.
ej.base.enableRipple(true);

//Initialize Tab component

var tabObj = new ej.navigations.Tab({
    heightAdjustMode: 'Auto',
    overflowMode: 'Extended',
    items: [
        {
            header: { 'text': 'HTML' },
            content: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web ' +
            'pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
            'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
            'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
            'website semantically along with cues for presentation, making it a markup language, rather than a programming language.'
        },
        {
            header: { 'text': 'C Sharp(C#)' },
            content: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development ' +
            'team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Java' },
            content: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle ' +
            'Corporation, that provides a system for developing application software and deploying it in a cross-platform computing ' +
            'environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
            'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
            'provide many features of native applications and can be embedded in HTML pages.'
        },
        {
            header: { 'text': 'VB.Net' },
            content: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
            'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.'
        },
        {
            header: { 'text': 'Xamarin' },
            content: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that ' +
            'created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
            'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
            'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
            'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
            'as of May 2015.'
        },
        {
            header: { 'text': 'ASP.NET' },
            content: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
            'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
            'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
            'to Microsoft\'\s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
            'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
            'ASP.NET components to process SOAP messages.'
        },
        {
            header: { 'text': 'ASP.NET MVC' },
            content: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
            'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
            'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
            'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.'
        },
        {
            header: { 'text': 'JavaScript' },
            content: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of ' +
            'web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
            'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
            'both game development and the creation of desktop applications.'
        }
    ]
});

//Render initialized Tab component
tabObj.appendTo('#element');
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Tab">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/bootstrap5.3.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        .e-content .e-item {
            font-size: 12px;
            margin: 10px;
            text-align: justify;
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="element"></div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>
</html>

Tab extended

See Also

Responsive Modes in React Tab

The following section explains about rendering React Tab when its width exceeds the viewable area or particularly in a given width.
The available modes are as follows:

  • Scrollable
  • Popup

Scrollable

The default overflow mode is Scrollable. Scrollable display mode supports displaying the React Tab header items in a single line with horizontal scrolling enabled, when the item overflows to the available space.

  • The right and left navigation arrows are added at the start and end of the React Tab header through which the user can navigate towards overflowed items of the React Tab header.
  • You can also see the overflowed items using touch and swipe actions on the header and content section.
  • By default, the navigation icon in the left direction is disabled; you can see the overflowed items by moving in the right direction.
  • By clicking the arrow or by holding the arrow continuously, you can see the overflowed items.

Scrollable React tab

  • In devices the navigation icons are not available. You can touch and swipe to see the overflowed items of the React Tab header.

Touch scroll

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
const ReactApp = () => {
  let headerText = [{ text: "HTML" }, { text: "C Sharp(C#)" }, { text: "Java" }, { text: "VB.Net" }, { text: "Xamarin" }, { text: "ASP.NET" }, { text: "ASP.NET MVC" }, { text: "JavaScript" }];
  const htmlContent = () => {
    return <div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications.[1] Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>;
  }
  const csharpContent = () => {
    return <div>
      'C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012.
    </div>;
  }
  const javaContent = () => {
    return <div>
      Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.
    </div>;
  }
  const vbcNetContent = () => {
    return <div>
      The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>;
  }
  const xamarinContent = () => {
    return <div>
      Xamarin is a San Francisco, California based software company created in May
      2011[3] by the engineers that created Mono,[4] Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms.[5] Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.'
    </div>;
  }
  const aspContent = () => {
    return <div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.
    </div>;
  }
  const mvcContent = () => {
    return <div>
      The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.
    </div>;
  }
  const jsContent = () => {
    return <div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed.[5] More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>;
  }
  return (<TabComponent heightAdjustMode='Auto' overflowMode='Scrollable'>
    <TabItemsDirective>
      <TabItemDirective header={headerText[0]} content={htmlContent} />
      <TabItemDirective header={headerText[1]} content={csharpContent} />
      <TabItemDirective header={headerText[2]} content={javaContent} />
      <TabItemDirective header={headerText[3]} content={vbcNetContent} />
      <TabItemDirective header={headerText[4]} content={xamarinContent} />
      <TabItemDirective header={headerText[5]} content={aspContent} />
      <TabItemDirective header={headerText[6]} content={mvcContent} />
      <TabItemDirective header={headerText[7]} content={jsContent} />
    </TabItemsDirective>
  </TabComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let headerText: any = [{ text: "HTML" }, { text: "C Sharp(C#)" }, { text: "Java" }, { text: "VB.Net" }, { text: "Xamarin" }, { text: "ASP.NET" }, { text: "ASP.NET MVC" }, { text: "JavaScript" }];

  const htmlContent = () => {
    return <div>
  HyperText Markup Language, commonly referred to as HTML, is the standard markup
  language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
  technology, used by most websites to create visually engaging web pages, user interfaces
  for web applications, and user interfaces for many mobile applications.[1] Web browsers
  can read HTML files and render them into visible or audible web pages. HTML describes
  the structure of a website semantically along with cues for presentation, making it a
  markup language, rather than a programming language.
</div>;
}
const csharpContent = () => {
    return <div>
  'C# is intended to be a simple, modern, general-purpose, object-oriented
  programming language. Its development team is led by Anders Hejlsberg. The most recent
  version is C# 5.0, which was released on August 15, 2012.
</div>;
}
const javaContent = () => {
    return <div>
  Java is a set of computer software and specifications developed by Sun Microsystems,
  later acquired by Oracle Corporation, that provides a system for developing application
  software and deploying it in a cross-mobile phones to platform computing environment. Java
  is used in a wide variety of computing platforms from embedded devices and enterprise servers
  and supercomputers. While less common, Java applets run in secure, sandboxed environments to
  provide many features of native applications and can be embedded in HTML pages.
</div>;
}
const vbcNetContent = () => {
    return <div>
  The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
  Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
  is VB 2012, which was released on August 15, 2012.
</div>;
}
const xamarinContent = () => {
    return <div>
  Xamarin is a San Francisco, California based software company created in May
  2011[3] by the engineers that created Mono,[4] Mono for Android and MonoTouch that are
  cross-platform implementations of the Common Language Infrastructure (CLI) and Common
  Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
  can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
  and share code across multiple platforms.[5] Xamarin has over 1 million developers in more
  than 120 countries around the World as of May 2015.'
</div>;
}
const aspContent = () => {
    return <div>
  ASP.NET is an open-source server-side web application framework designed for web
  development to produce dynamic web pages. It was developed by Microsoft to allow programmers
  to build dynamic web sites, web applications and web services. It was first released in January
  2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s Active Server
  Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
  programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
  framework allows ASP.NET components to process SOAP messages.
</div>;
}
const mvcContent = () => {
    return <div>
  The ASP.NET MVC is a web application framework developed by Microsoft, which implements
  the model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
  Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET web
  API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
  The project is called ASP.NET vNext.
</div>;
}
const jsContent = () => {
    return <div>
  JavaScript (JS) is an interpreted computer programming language. It was originally
  implemented as part of web browsers so that client-side scripts could interact with the
  user, control the browser, communicate asynchronously, and alter the document content that
  was displayed.[5] More recently, however, it has become common in both game development
  and the creation of desktop applications.
</div>;
}
  return (
    <TabComponent heightAdjustMode='Auto' overflowMode='Scrollable'>
      <TabItemsDirective>
        <TabItemDirective header={headerText[0]} content={htmlContent} />
        <TabItemDirective header={headerText[1]} content={csharpContent} />
        <TabItemDirective header={headerText[2]} content={javaContent} />
        <TabItemDirective header={headerText[3]} content={vbcNetContent} />
        <TabItemDirective header={headerText[4]} content={xamarinContent} />
        <TabItemDirective header={headerText[5]} content={aspContent} />
        <TabItemDirective header={headerText[6]} content={mvcContent} />
        <TabItemDirective header={headerText[7]} content={jsContent} />
      </TabItemsDirective>
    </TabComponent>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>

The Popup is another type of overflowMode in which the React Tab container holds the items that can be placed within the available space. The remaining overflowing items, for which there is no space to fit within the viewing area, are moved to the overflow popup container.

  • The items placed in popup can be viewed by opening the popup with the help of drop-down icon given at the end of the React Tab header.

  • If the popup height exceeds the height of the visible area, you can scroll through the popup items and select one.

Tab with popup

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
const ReactApp = () => {
  let headerText = [{ text: "HTML" }, { text: "C Sharp(C#)" }, { text: "Java" }, { text: "VB.Net" }, { text: "Xamarin" }, { text: "ASP.NET" }, { text: "ASP.NET MVC" }, { text: "JavaScript" }];
  const htmlContent = () => {
    return <div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications.[1] Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>;
  }
  const csharpContent = () => {
    return <div>
      'C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012.
    </div>;
  }
  const javaContent = () => {
    return <div>
      Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.
    </div>;
  }
  const vbcNetContent = () => {
    return <div>
      The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>;
  }
  const xamarinContent = () => {
    return <div>
      Xamarin is a San Francisco, California based software company created in May
      2011[3] by the engineers that created Mono,[4] Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms.[5] Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.'
    </div>;
  }
  const aspContent = () => {
    return <div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.
    </div>;
  }
  const mvcContent = () => {
    return <div>
      The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.
    </div>;
  }
  const jsContent = () => {
    return <div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed.[5] More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>;
  }
  return (<TabComponent heightAdjustMode='Auto' overflowMode='Popup'>
    <TabItemsDirective>
      <TabItemDirective header={headerText[0]} content={htmlContent} />
      <TabItemDirective header={headerText[1]} content={csharpContent} />
      <TabItemDirective header={headerText[2]} content={javaContent} />
      <TabItemDirective header={headerText[3]} content={vbcNetContent} />
      <TabItemDirective header={headerText[4]} content={xamarinContent} />
      <TabItemDirective header={headerText[5]} content={aspContent} />
      <TabItemDirective header={headerText[6]} content={mvcContent} />
      <TabItemDirective header={headerText[7]} content={jsContent} />
    </TabItemsDirective>
  </TabComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let headerText: any = [{ text: "HTML" }, { text: "C Sharp(C#)" }, { text: "Java" }, { text: "VB.Net" }, { text: "Xamarin" }, { text: "ASP.NET" }, { text: "ASP.NET MVC" }, { text: "JavaScript" }];

  const htmlContent = () => {
    return <div>
  HyperText Markup Language, commonly referred to as HTML, is the standard markup
  language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
  technology, used by most websites to create visually engaging web pages, user interfaces
  for web applications, and user interfaces for many mobile applications.[1] Web browsers
  can read HTML files and render them into visible or audible web pages. HTML describes
  the structure of a website semantically along with cues for presentation, making it a
  markup language, rather than a programming language.
</div>;
}
const csharpContent = () => {
    return <div>
  'C# is intended to be a simple, modern, general-purpose, object-oriented
  programming language. Its development team is led by Anders Hejlsberg. The most recent
  version is C# 5.0, which was released on August 15, 2012.
</div>;
}
const javaContent = () => {
    return <div>
  Java is a set of computer software and specifications developed by Sun Microsystems,
  later acquired by Oracle Corporation, that provides a system for developing application
  software and deploying it in a cross-mobile phones to platform computing environment. Java
  is used in a wide variety of computing platforms from embedded devices and enterprise servers
  and supercomputers. While less common, Java applets run in secure, sandboxed environments to
  provide many features of native applications and can be embedded in HTML pages.
</div>;
}
const vbcNetContent = () => {
    return <div>
  The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
  Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
  is VB 2012, which was released on August 15, 2012.
</div>;
}
const xamarinContent = () => {
    return <div>
  Xamarin is a San Francisco, California based software company created in May
  2011[3] by the engineers that created Mono,[4] Mono for Android and MonoTouch that are
  cross-platform implementations of the Common Language Infrastructure (CLI) and Common
  Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
  can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
  and share code across multiple platforms.[5] Xamarin has over 1 million developers in more
  than 120 countries around the World as of May 2015.'
</div>;
}
const aspContent = () => {
    return <div>
  ASP.NET is an open-source server-side web application framework designed for web
  development to produce dynamic web pages. It was developed by Microsoft to allow programmers
  to build dynamic web sites, web applications and web services. It was first released in January
  2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s Active Server
  Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
  programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
  framework allows ASP.NET components to process SOAP messages.
</div>;
}
const mvcContent = () => {
    return <div>
  The ASP.NET MVC is a web application framework developed by Microsoft, which implements
  the model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
  Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET web
  API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
  The project is called ASP.NET vNext.
</div>;
}
const jsContent = () => {
    return <div>
  JavaScript (JS) is an interpreted computer programming language. It was originally
  implemented as part of web browsers so that client-side scripts could interact with the
  user, control the browser, communicate asynchronously, and alter the document content that
  was displayed.[5] More recently, however, it has become common in both game development
  and the creation of desktop applications.
</div>;
}
  return (
    <TabComponent heightAdjustMode='Auto' overflowMode='Popup'>
      <TabItemsDirective>
        <TabItemDirective header={headerText[0]} content={htmlContent} />
        <TabItemDirective header={headerText[1]} content={csharpContent} />
        <TabItemDirective header={headerText[2]} content={javaContent} />
        <TabItemDirective header={headerText[3]} content={vbcNetContent} />
        <TabItemDirective header={headerText[4]} content={xamarinContent} />
        <TabItemDirective header={headerText[5]} content={aspContent} />
        <TabItemDirective header={headerText[6]} content={mvcContent} />
        <TabItemDirective header={headerText[7]} content={jsContent} />
      </TabItemsDirective>
    </TabComponent>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>

See Also

Responsive Modes in Angular Tab

26 Sep 202624 minutes to read

The following section explains how the Angular Tab component renders when its width exceeds the visible area, or when a specific width is set.

The available overflow modes are as follows:

  • Scrollable
  • Popup

Scrollable

The default overflow mode is Scrollable. In this mode, Angular Tab header items are displayed in a single line with horizontal scrolling enabled when items overflow beyond the available space.

  • Navigation arrows appear at the start and end of the Angular Tab header, allowing users to navigate through overflow items.
  • Overflow items can also be accessed using touch and swipe actions on both the header and content sections.
  • The left navigation arrow is disabled by default; users can view overflow items by navigating to the right.
  • Clicking the arrow, or holding it continuously, reveals the overflow items.

Scrollable Angular Tab

  • On touch devices, navigation icons are not available. Users can touch and swipe to view overflow Angular Tab header items.

  • In RTL (right-to-left) layouts, the navigation arrows are mirrored: the right arrow is disabled by default and items overflow to the left.

Touch Scroll

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabModule } from '@syncfusion/ej2-angular-navigations'




import { Component, ViewChild } from '@angular/core';
import { TabComponent } from '@syncfusion/ej2-angular-navigations';

/**
 * Adaptive Tab Component
 */

@Component({
imports: [
         FormsModule, TabModule
    ],


standalone: true,
    selector: 'app-container',
    template: `<ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Scrollable' width='300px'>
           <e-tabitems>
                        <e-tabitem [header]='headerText[0]'>
                            <ng-template #content>
                                HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web pages. Along
                                with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually engaging web
                                pages, user interfaces for web applications, and user interfaces for many mobile applications. Web browsers can read
                                HTML files and render them into visible or audible web pages. HTML describes the structure of a website semantically
                                along with cues for presentation, making it a markup language, rather than a programming language.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[1]'>
                            <ng-template #content>
                                C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development team is led
                                by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[2]'>
                            <ng-template #content>
                                Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle Corporation,
                                that provides a system for developing application software and deploying it in a cross-platform computing environment.
                                Java is used in a wide variety of computing platforms from embedded devices and mobile phones to enterprise servers
                                and supercomputers. While less common, Java applets run in secure, sandboxed environments to provide many features
                                of native applications and can be embedded in HTML pages.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[3]'>
                            <ng-template #content>
                                The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also includes a command-line
                                VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[4]'>
                            <ng-template #content>
                                Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that created Mono,[4]
                                Mono for Android and MonoTouch that are cross-platform implementations of the Common Language Infrastructure (CLI)
                                and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, developers can use Xamarin
                                tools to write native Android, iOS, and Windows apps with native user interfaces and share code across multiple platforms.[5]
                                Xamarin has over 1 million developers in more than 120 countries around the World as of May 2015.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[5]'>
                            <ng-template #content>
                                ASP.NET is an open-source server-side web application framework designed for web development to produce dynamic web pages.
                                It was developed by Microsoft to allow programmers to build dynamic web sites, web applications and web services.
                                It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s
                                Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing programmers
                                to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ASP.NET components
                                to process SOAP messages.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[6]'>
                            <ng-template #content>
                                The ASP.NET MVC is a web application framework developed by Microsoft, which implements the model–view–controller (MVC) pattern.
                                It is open-source software, apart from the ASP.NET Web Forms component which is proprietary. In the later versions
                                of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into
                                a unified MVC 6.The project is called ASP.NET vNext.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[7]'>
                            <ng-template #content>
                                JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of web browsers so
                                that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter
                                the document content that was displayed.[5] More recently, however, it has become common in both game development
                                and the creation of desktop applications.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>`
})
export class AppComponent {
    public headerText: { text: string }[] = [{ text: 'HTML' }, { text: 'C Sharp(C#)' }, { text: 'Java' }, { text: 'VB.Net' },
        { text: 'Xamarin' }, { text: 'ASP.NET' }, { text: 'ASP.NET MVC' }, { text: 'JavaScript' }];

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Popup is another type of overflowMode where the Angular Tab container displays items that fit within the available space. Items that cannot fit within the viewing area are moved to an overflow popup container.

  • Items in the popup can be accessed by clicking the drop-down icon at the end of the Tab header.

  • If the popup height exceeds the visible area height, users can scroll through the popup items to make selections. Popup dimensions can be customized using the popupWidth and related properties.

Tab With Popup

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabModule } from '@syncfusion/ej2-angular-navigations'




import { Component, ViewChild } from '@angular/core';
import { TabComponent } from '@syncfusion/ej2-angular-navigations';

/**
 * Adaptive Tab Component
 */

@Component({
imports: [
         FormsModule, TabModule
    ],


standalone: true,
    selector: 'app-container',
    template: `<ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Popup' width='300px'>
            <e-tabitems>
                        <e-tabitem [header]='headerText[0]'>
                            <ng-template #content>
                                HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to create web pages. Along
                                with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually engaging web
                                pages, user interfaces for web applications, and user interfaces for many mobile applications. Web browsers can read
                                HTML files and render them into visible or audible web pages. HTML describes the structure of a website semantically
                                along with cues for presentation, making it a markup language, rather than a programming language.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[1]'>
                            <ng-template #content>
                                C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its development team is led
                                by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[2]'>
                            <ng-template #content>
                                Java is a set of computer software and specifications developed by Sun Microsystems, later acquired by Oracle Corporation,
                                that provides a system for developing application software and deploying it in a cross-platform computing environment.
                                Java is used in a wide variety of computing platforms from embedded devices and mobile phones to enterprise servers
                                and supercomputers. While less common, Java applets run in secure, sandboxed environments to provide many features
                                of native applications and can be embedded in HTML pages.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[3]'>
                            <ng-template #content>
                                The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also includes a command-line
                                VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[4]'>
                            <ng-template #content>
                                Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers that created Mono,[4]
                                Mono for Android and MonoTouch that are cross-platform implementations of the Common Language Infrastructure (CLI)
                                and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, developers can use Xamarin
                                tools to write native Android, iOS, and Windows apps with native user interfaces and share code across multiple platforms.[5]
                                Xamarin has over 1 million developers in more than 120 countries around the World as of May 2015.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[5]'>
                            <ng-template #content>
                                ASP.NET is an open-source server-side web application framework designed for web development to produce dynamic web pages.
                                It was developed by Microsoft to allow programmers to build dynamic web sites, web applications and web services.
                                It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft\'\s
                                Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing programmers
                                to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ASP.NET components
                                to process SOAP messages.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[6]'>
                            <ng-template #content>
                                The ASP.NET MVC is a web application framework developed by Microsoft, which implements the model–view–controller (MVC) pattern.
                                It is open-source software, apart from the ASP.NET Web Forms component which is proprietary. In the later versions
                                of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into
                                a unified MVC 6.The project is called ASP.NET vNext.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[7]'>
                            <ng-template #content>
                                JavaScript (JS) is an interpreted computer programming language. It was originally implemented as part of web browsers so
                                that client-side scripts could interact with the user, control the browser, communicate asynchronously, and alter
                                the document content that was displayed.[5] More recently, however, it has become common in both game development
                                and the creation of desktop applications.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>`
})
export class AppComponent {
    public headerText: { text: string }[] = [{ text: 'HTML' }, { text: 'C Sharp(C#)' }, { text: 'Java' }, { text: 'VB.Net' },
        { text: 'Xamarin' }, { text: 'ASP.NET' }, { text: 'ASP.NET MVC' }, { text: 'JavaScript' }];

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

When overflowMode is set to Popup, configure the overflowMode property in the Tab component as shown in the app.component.ts snippet above.

Events

The following events are triggered when switching between overflow modes or interacting with overflow items:

Event Description
selecting Triggered before a tab item is selected.
selected Triggered after a tab item is selected.
created Triggered once the Tab component is created.

Modes Comparison

Behavior Scrollable Popup
Default overflow handling Horizontal scrolling with navigation arrows Overflow items moved to a drop-down popup
Touch device support Touch and swipe supported Touch and swipe supported on the popup
Item access when overflowed Click or hold navigation arrows Click the drop-down icon at the end of the header
Best suited for A small number of overflow items Many overflow items that need grouped access

See Also

Adaptive in Vue Tabs

02 Sep 202624 minutes to read

The following section explains how to render the Tab when its width exceeds the viewable area or a specified width. The available
modes are as follows:

  • Scrollable
  • Popup

Scrollable

The default overflow mode is Scrollable. In this mode, the Tab header items are displayed in a single line with horizontal
scrolling enabled when the items overflow the available space.

  • The right and left navigation arrows are added at the start and end of the Tab header through which the user can navigate towards overflowed
    items of the Tab header.
  • You can also view the overflowed items using touch and swipe actions on the header and content section.
  • By default, the navigation icon in the left direction is disabled; you can see the overflowed items by moving in the right direction.
  • By clicking the arrow or by holding the arrow continuously, you can view the overflowed items.

Scrollable tab

  • On devices, the navigation icons are not available. You can touch and swipe to see the overflowed items of the Tab header.

Touch scroll

<template>
      <div id="app">
            <ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Scrollable'>
                  <e-tabitems>
                        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
                        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
                        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
                        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
                        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
                        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
                        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
                        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
                  </e-tabitems>
            </ejs-tab>
      </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from "@syncfusion/ej2-vue-navigations";

const headerText0 = { text: 'HTML' };
const headerText1 = { text: 'C Sharp(C#)' };
const headerText2 = { text: 'Java' };
const headerText3 = { text: 'VB.Net' };
const headerText4 = { text: 'Xamarin' };
const headerText5 = { text: 'ASP.NET' };
const headerText6 = { text: 'ASP.NET MVC' };
const headerText7 = { text: 'JavaScript' };
const content0 = 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
      'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
      'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
      'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
      'website semantically along with cues for presentation, making it a markup language, rather than a programming language.';

const content1 = 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
      'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.';

const content2 = 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
      'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
      'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
      'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
      'provide many features of native applications and can be embedded in HTML pages.';

const content3 = 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
      'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.';

const content4 = 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
      'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
      'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
      'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
      'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
      'as of May 2015.';

const content5 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
      'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
      'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
      'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
      'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
      'ASP.NET components to process SOAP messages.';

const content6 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
      'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
      'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
      'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content7 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
      'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
      'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
      'both game development and the creation of desktop applications.';


</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Scrollable'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective, } from '@syncfusion/ej2-vue-navigations';

export default {
  name: "App",
  components: {
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'HTML' },
      headerText1: { text: 'C Sharp(C#)' },
      headerText2: { text: 'Java' },
      headerText3: { text: 'VB.Net' },
      headerText4: { text: 'Xamarin' },
      headerText5: { text: 'ASP.NET' },
      headerText6: { text: 'ASP.NET MVC' },
      headerText7: { text: 'JavaScript' },
      content0: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
        'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
        'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
        'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
        'website semantically along with cues for presentation, making it a markup language, rather than a programming language.',

      content1: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
        'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.',

      content2: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
        'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
        'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
        'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
        'provide many features of native applications and can be embedded in HTML pages.',

      content3: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
        'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.',

      content4: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
        'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
        'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
        'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
        'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
        'as of May 2015.',

      content5: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content6: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content7: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',

    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

Popup is another type of overflowMode in which the Tab container holds the items that can be placed within the available space.
The rest of the overflowing items, for which there is no space to fit within the viewing area, are moved to the overflow popup container.

  • The items placed in the popup can be viewed by opening the popup with the help of a drop-down icon at the end of the Tab header.

  • If the popup height exceeds the height of the visible area, you can scroll through the popup items and select one.

Tab with popup

<template>
      <div id="app">
            <ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Popup'>
                  <e-tabitems>
                        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
                        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
                        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
                        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
                        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
                        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
                        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
                        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
                  </e-tabitems>
            </ejs-tab>
      </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from "@syncfusion/ej2-vue-navigations";

const headerText0 = { text: 'HTML' };
const headerText1 = { text: 'C Sharp(C#)' };
const headerText2 = { text: 'Java' };
const headerText3 = { text: 'VB.Net' };
const headerText4 = { text: 'Xamarin' };
const headerText5 = { text: 'ASP.NET' };
const headerText6 = { text: 'ASP.NET MVC' };
const headerText7 = { text: 'JavaScript' };

const content0 = 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
      'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
      'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
      'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
      'website semantically along with cues for presentation, making it a markup language, rather than a programming language.';

const content1 = 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
      'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.';

const content2 = 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
      'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
      'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
      'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
      'provide many features of native applications and can be embedded in HTML pages.';

const content3 = 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
      'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.';

const content4 = 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
      'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
      'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
      'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
      'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
      'as of May 2015.';

const content5 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
      'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
      'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
      'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
      'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
      'ASP.NET components to process SOAP messages.';

const content6 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
      'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
      'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
      'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content7 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
      'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
      'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
      'both game development and the creation of desktop applications.';


</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <ejs-tab id="element" heightAdjustMode='Auto' overflowMode='Popup'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective, } from '@syncfusion/ej2-vue-navigations';

export default {
  name: "App",
  components: {
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'HTML' },
      headerText1: { text: 'C Sharp(C#)' },
      headerText2: { text: 'Java' },
      headerText3: { text: 'VB.Net' },
      headerText4: { text: 'Xamarin' },
      headerText5: { text: 'ASP.NET' },
      headerText6: { text: 'ASP.NET MVC' },
      headerText7: { text: 'JavaScript' },
      content0: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
        'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
        'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
        'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
        'website semantically along with cues for presentation, making it a markup language, rather than a programming language.',

      content1: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
        'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.',

      content2: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
        'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
        'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
        'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
        'provide many features of native applications and can be embedded in HTML pages.',

      content3: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
        'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.',

      content4: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
        'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
        'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
        'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
        'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
        'as of May 2015.',

      content5: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content6: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content7: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',

    }
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

See also